1 Reply Latest reply: Apr 24, 2012 3:26 AM by gimbal2 RSS

    Java 7 / JAXB / JAX-RS issues

    932615
      According to the documentation for Java 7 (I am running update 3), it ships with Jaxb 2.2.3 I believe. However when I try to create a Jersey app that uses JSON to pass back the data I get the error that says I am running JAXB-2.1.10 or earlier. I don't think the latest vm works correctly with the new JAXB. I was able to work around this issue on windows by using the endorsed directory but under ubuntu when I use the endorsed directory Spring doesn't seem to pick up the jsr173 jar file so I get the error about no provider for stax. I have detailed my issues over on stack overflow and am wondering if anyone else is having trouble with the latest Java VM and using the newer JAXB features with it:

      http://stackoverflow.com/questions/10032032/jaxb-issues-under-java-7-it-says-it-cant-find-ri-2-1-0
        • 1. Re: Java 7 / JAXB / JAX-RS issues
          gimbal2
          user3689200 wrote:
          but under ubuntu when I use the endorsed directory Spring doesn't seem to pick up the jsr173 jar file so I get the error about no provider for stax.
          Since its Java that creates the classpath and not Spring, I'd say you are putting the jars in the wrong JRE. But I can only guess.